﻿using DotNetCore.CAP;
using Hotline.Application.Quality;
using Hotline.Orders;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Order;
using Hotline.Share.Enums.Quality;
using MapsterMapper;
using Microsoft.AspNetCore.Http;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Application.Subscribers
{
    public class OrderSubscriber : ICapSubscribe, ITransientDependency
    {
        private readonly IRepository<OrderVisit> _orderVisitRepository;
        private readonly IRepository<OrderVisitDetail> _orderVisitDetailRepository;
        private readonly IMapper _mapper;
        private readonly IOrderRepository _orderRepository;
        private readonly ICapPublisher _capPublisher;
        private readonly IQualityApplication _qualityApplication;
        private readonly IRepository<OrderDelay> _orderDelayRepository;

        public OrderSubscriber(IRepository<OrderVisit> orderVisitRepository,IRepository<OrderVisitDetail> orderVisitDetailRepository,IMapper mapper,IOrderRepository orderRepository, ICapPublisher capPublisher, IQualityApplication qualityApplication, IRepository<OrderDelay> orderDelayRepository)
        {
            _orderVisitRepository = orderVisitRepository;
            _orderVisitDetailRepository = orderVisitDetailRepository;
            _mapper = mapper;
            _orderRepository = orderRepository;
            _capPublisher = capPublisher;
            _orderDelayRepository = orderDelayRepository;
        }

       
    }
}
